SSL_CTX_CTRL(3)

NAME
SSL_CTX_ctrl, SSL_CTX_callback_ctrl, SSL_ctrl, SSL_callback_ctrl - internal handling functions for SSL_CTX and SSL objects

SYNOPSIS
libssl libcrypto
#include <openssl/ssl.h>
long
SSL_CTX_ctrl(SSL_CTX *ctx, int cmd, long larg, void *parg);
long
SSL_CTX_callback_ctrl(SSL_CTX *, int cmd, void (*fp)());
long
SSL_ctrl(SSL *ssl, int cmd, long larg, void *parg);
long
SSL_callback_ctrl(SSL *, int cmd, void (*fp)());

DESCRIPTION
The SSL_*_ctrl() family of functions is used to manipulate settings of the SSL_CTX and SSL objects. Depending on the command cmd the arguments larg, parg, or fp are evaluated. These functions should never be called directly. All functionalities needed are made available via other functions or macros.

RETURN VALUES
The return values of the SSL*_ctrl() functions depend on the command supplied via the cmd() parameter.

SEE ALSO
ssl(3), SSL_CTX_add_extra_chain_cert(3), SSL_CTX_sess_number(3), SSL_CTX_sess_set_cache_size(3), SSL_CTX_set_max_cert_list(3), SSL_CTX_set_mode(3), SSL_CTX_set_options(3), SSL_CTX_set_session_cache_mode(3), SSL_CTX_set_tlsext_servername_callback(3), SSL_CTX_set_tlsext_status_cb(3), SSL_CTX_set_tlsext_ticket_key_cb(3), SSL_get_server_tmp_key(3), SSL_num_renegotiations(3), SSL_session_reused(3), SSL_set_max_send_fragment(3)

HISTORY
SSL_CTX_ctrl() and SSL_ctrl() first appeared in SSLeay 0.8.0 and have been available since OpenBSD 2.4.

SSL_CTX_callback_ctrl() and SSL_callback_ctrl() first appeared in OpenSSL 0.9.5 and have been available since OpenBSD 2.7.